SIDTOOL(6)

NAME
sidtool - a Pacman like game.

SYNOPSIS
sidtool [ -d ] [ -maze mazefile ] [ -pause factor ] [ -players players ] [ -retained ] [ -scorefile scorefile ] [ -skill level ] [ -slug factor ] [ -v ]

DESCRIPTION
sidtool is a Pacman like game. It contains a graphical interface for XView.

Sidtool is played by using the keyboard or the mouse to move the image of the terminal screen around the maze. Running over (eating) a small dot is worth 10 points. Eating an "idea" spot is worth 50 points. During the game, pictures of fruit will be displayed in the middle of the maze. These range in value from 100 to 5000 points depending upon how many screens worth of dots you have cleared.

There are four bad guys that are trying to eat you! When you eat an "idea" spot, it turns the bad guys white. You can then eat them. When they are about to turn back to bad guys again, they will blink. While they are white or blinking, they are worth 200, 400, 800 and 1600 points. Avoid the bad guys at all costs when they are not white or blinking.

You get three terminal screens per game. An extra screen is awarded at 10000 points.

You can move the terminal screen around the maze using the hjkl keys (similar to the vi editor), or with the mouse. To go left, hit 'h'. To go down, hit 'j'. To go up, hit 'k' and to go right, hit 'l'. Alternatively, you can move the mouse in the direction you want to go. Sun users will also be able to use the four arrow keys on the right function pad.

There are ten skill levels. Level 1 is easy, and level 10 is hard. Level 5 is the default.

Initially the game is running in demonstration mode. Click SELECT on the Stop button, to display all the other controls.

Click SELECT on the Help button, to get a help screen describing how to play the game.

Click SELECT on the Props button, to display a property window allowing you to change the skill level and the number of players. Don't forget to click SELECT on the Apply button to apply you new settings.

Click SELECT on the Scores button, to display a window containing the current high scores for each level.

Click SELECT on the Quit button to terminate the game.

Click SELECT on the New Game button to start a new game. Note that you need to toggle the Play type from Demo to Game if you want to play a game (as opposed to running in demonstration mode).

Click SELECT on the Continue button to continue running. This button toggles between Continue and Stop, and is very handy for those pesky telephone calls that always seem to interrupt the game.

OPTIONS

-d  Run in demonstration mode only.

-maze mazefile
    Specify a file containing a new maze layout.

-pause factor
    The pause factor (in microseconds) for various operations. The default is 20000.

-players players
    The number of players to play this game of sidtool. The default is 1.

-retained
    Cause sidtool to use a retained canvas for the main drawing area. This improves repaint performance.

-score scorefile
    Specify an alternate high score file to use.

-skill level
    The skill level for this game of sidtool. The range is 1 (easy) to 10 (hard). The default is 5.

-slug factor
    The main loop slug factor (in milliseconds). This is used to try to get a realistic speed independent of the speed of the machine that sidtool is running on. The default is 5.

-v  Prints the version number and usage message for this release of the sidtool program.

MAZE LAYOUT
Sidtool has been designed to allow you to specify alternate mazes. The maze layout should be contained in an ASCII file, and conform to the following requirements:

The maze size is fixed at 26 by 28.
The maze is not allowed to have any dead ends.
All boxes in the maze are defined by paths.
The upper left corner of each box is signified by a small s.
Use the letters r,d,l,u to signify the direction to travel around boxes.
Corners must be signified by changing the letter.
The tunnel start must be signified by a capital S.
The exit box must have the opening at the top.
The ghost number 0 must be started directly above this exit.
The exit should be signified by capital R's.
All ghosts except for one must start in the box.
The amount of time spent in the box is specified by the number which shows where the ghost goes.
Small dots in the maze are signified by periods '.';
Large dots in the maze are signified by asterisks '*';
Tunnels may be on left and right.
All tunnels must have exits at both sides.
There must be a row around the entire maze defining the border.
All non-tunnel parts of the border must be 'x's
The area in the tunnel in which the ghosts go slowly is defined as the area between the exit and the first non-space character. Thus a '.' causes the ghosts to speed up.

RESOURCES
On startup, sidtool will use the following X resources. These resources can be placed in all the normal X places.

Resource:
    sidtool.players
Values:
    Number of players (numeric)
Description
    The number of players to play this game of sidtool. The default is 1.

Resource:
    sidtool.skillLevel
Values:
    Skill level (numeric)
Description
    The skill level for this game of sidtool. The range is 1 (easy) to 10 (hard). The default is 5.

Resource:
    sidtool.pauseFactor
Values:
    Pause factor (numeric)
Description
    The pause factor (in microseconds) for various operations. The default is 20000.

Resource:
    sidtool.slugFactor
Values:
    Slug factor (numeric)
Description
    The main loop slug factor (in milliseconds). This is used to try to get a realistic speed independent of the speed of the machine that sidtool is running on. The default is 5.

ENVIRONMENT VARIABLES
SID_SCORE
    An alternate location for the sidtool high score file.

BUGS
See the TODO file for a list of known problems.

AUTHORS
Brad A. Myers Rich Burridge
School of Computer Science Sun Microsystems Australia,
Carnegie Mellon University 495 Victoria Avenue,
5000 Forbes Avenue Chatswood, NSW 2067.
Pittsburgh, PA 15213-3890 AUSTRALIA.
TEL: (412) 268-5150 TEL: +61 2 413 2666
FAX: (412) 681-5739 FAX: +61 2 413 3869
bam@a.gp.cs.cmu.edu richb@aus.sun.com